## org.apache.poi.hssf.record.chart
Class DataFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.DataFormatRecord

    public final class DataFormatRecord

extends StandardRecord

The data format record is used to index into a series.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`DataFormatRecord()`
`DataFormatRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short` `getFormatFlags()` Get the format flags field for the DataFormat record.
`short` `getPointNumber()` Get the point number field for the DataFormat record.
`short` `getSeriesIndex()` Get the series index field for the DataFormat record.
`short` `getSeriesNumber()` Get the series number field for the DataFormat record.
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isUseExcel4Colors()` set true to use excel 4 colors.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setFormatFlags(short field_4_formatFlags)` Set the format flags field for the DataFormat record.
`void` `setPointNumber(short field_1_pointNumber)` Set the point number field for the DataFormat record.
`void` `setSeriesIndex(short field_2_seriesIndex)` Set the series index field for the DataFormat record.
`void` `setSeriesNumber(short field_3_seriesNumber)` Set the series number field for the DataFormat record.
`void` `setUseExcel4Colors(boolean value)` Sets the use excel 4 colors field value.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DataFormatRecord

    public DataFormatRecord()

### DataFormatRecord

    public DataFormatRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getPointNumber

    public short getPointNumber()

  Get the point number field for the DataFormat record.

### setPointNumber

    public void setPointNumber(short field_1_pointNumber)

  Set the point number field for the DataFormat record.

### getSeriesIndex

    public short getSeriesIndex()

  Get the series index field for the DataFormat record.

### setSeriesIndex

    public void setSeriesIndex(short field_2_seriesIndex)

  Set the series index field for the DataFormat record.

### getSeriesNumber

    public short getSeriesNumber()

  Get the series number field for the DataFormat record.

### setSeriesNumber

    public void setSeriesNumber(short field_3_seriesNumber)

  Set the series number field for the DataFormat record.

### getFormatFlags

    public short getFormatFlags()

  Get the format flags field for the DataFormat record.

### setFormatFlags

    public void setFormatFlags(short field_4_formatFlags)

  Set the format flags field for the DataFormat record.

### setUseExcel4Colors

    public void setUseExcel4Colors(boolean value)

  Sets the use excel 4 colors field value. set true to use excel 4 colors.

### isUseExcel4Colors

    public boolean isUseExcel4Colors()

  set true to use excel 4 colors.

  Returns:
    the use excel 4 colors field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.